libetonyek::IWORKRecorder Class Reference documentation

Classes | Public Member Functions | Private Attributes | List of all members
libetonyek::IWORKRecorder Class Reference

`#include <IWORKRecorder.h>`

## Classes
struct | Impl

## Public Member Functions
| IWORKRecorder ()
void | replay (IWORKCollector &collector) const
void | collectStyle (const IWORKStylePtr_t &style)
void | setGraphicStyle (const IWORKStylePtr_t &style)
void | collectGeometry (const IWORKGeometryPtr_t &geometry)
void | collectPath (const IWORKPathPtr_t &path)
void | collectImage (const IWORKMediaContentPtr_t &image, const IWORKGeometryPtr_t &cropGeometry, const boost::optional< int > &order, bool locked)
void | collectLine (const IWORKLinePtr_t &line)
void | collectShape (const boost::optional< int > &order, const boost::optional< unsigned > &resizeFlags, bool locked)
void | collectMedia (const IWORKMediaContentPtr_t &content, const IWORKGeometryPtr_t &cropGeometry, const boost::optional< int > &order)
void | collectStylesheet (const IWORKStylesheetPtr_t &stylesheet)
void | collectTable (const std::shared_ptr< IWORKTable > &table)
void | collectText (const std::shared_ptr< IWORKText > &text)
void | startAttachment ()
void | endAttachment ()
void | startAttachments ()
void | endAttachments ()
void | startGroup ()
void | endGroup ()
void | openGroup ()
void | closeGroup ()
void | startLevel ()
void | endLevel ()
void | pushStylesheet (const IWORKStylesheetPtr_t &stylesheet)
void | popStylesheet ()

## Private Attributes
std::shared_ptr< Impl > | m_impl

## Constructor & Destructor Documentation

## ◆ IWORKRecorder()

libetonyek::IWORKRecorder::IWORKRecorder | ( |  | ) |

## Member Function Documentation

## ◆ closeGroup()

void libetonyek::IWORKRecorder::closeGroup | ( |  | ) |

## ◆ collectGeometry()

void libetonyek::IWORKRecorder::collectGeometry | ( | const IWORKGeometryPtr_t & | geometry | ) |

## ◆ collectImage()

void libetonyek::IWORKRecorder::collectImage | ( | const IWORKMediaContentPtr_t & | image,
|  | const IWORKGeometryPtr_t & | cropGeometry,
|  | const boost::optional< int > & | order,
|  | bool | locked
| ) |  |

## ◆ collectLine()

void libetonyek::IWORKRecorder::collectLine | ( | const IWORKLinePtr_t & | line | ) |

## ◆ collectMedia()

void libetonyek::IWORKRecorder::collectMedia | ( | const IWORKMediaContentPtr_t & | content,
|  | const IWORKGeometryPtr_t & | cropGeometry,
|  | const boost::optional< int > & | order
| ) |  |

## ◆ collectPath()

void libetonyek::IWORKRecorder::collectPath | ( | const IWORKPathPtr_t & | path | ) |

## ◆ collectShape()

void libetonyek::IWORKRecorder::collectShape | ( | const boost::optional< int > & | order,
|  | const boost::optional< unsigned > & | resizeFlags,
|  | bool | locked
| ) |  |

## ◆ collectStyle()

void libetonyek::IWORKRecorder::collectStyle | ( | const IWORKStylePtr_t & | style | ) |

## ◆ collectStylesheet()

void libetonyek::IWORKRecorder::collectStylesheet | ( | const IWORKStylesheetPtr_t & | stylesheet | ) |

## ◆ collectTable()

void libetonyek::IWORKRecorder::collectTable | ( | const std::shared_ptr< IWORKTable > & | table | ) |

## ◆ collectText()

void libetonyek::IWORKRecorder::collectText | ( | const std::shared_ptr< IWORKText > & | text | ) |

## ◆ endAttachment()

void libetonyek::IWORKRecorder::endAttachment | ( |  | ) |

## ◆ endAttachments()

void libetonyek::IWORKRecorder::endAttachments | ( |  | ) |

## ◆ endGroup()

void libetonyek::IWORKRecorder::endGroup | ( |  | ) |

## ◆ endLevel()

void libetonyek::IWORKRecorder::endLevel | ( |  | ) |

## ◆ openGroup()

void libetonyek::IWORKRecorder::openGroup | ( |  | ) |

## ◆ popStylesheet()

void libetonyek::IWORKRecorder::popStylesheet | ( |  | ) |

## ◆ pushStylesheet()

void libetonyek::IWORKRecorder::pushStylesheet | ( | const IWORKStylesheetPtr_t & | stylesheet | ) |

## ◆ replay()

void libetonyek::IWORKRecorder::replay | ( | IWORKCollector & | collector | ) | const

## ◆ setGraphicStyle()

void libetonyek::IWORKRecorder::setGraphicStyle | ( | const IWORKStylePtr_t & | style | ) |

## ◆ startAttachment()

void libetonyek::IWORKRecorder::startAttachment | ( |  | ) |

## ◆ startAttachments()

void libetonyek::IWORKRecorder::startAttachments | ( |  | ) |

## ◆ startGroup()

void libetonyek::IWORKRecorder::startGroup | ( |  | ) |

## ◆ startLevel()

void libetonyek::IWORKRecorder::startLevel | ( |  | ) |

## Member Data Documentation

## ◆ m_impl

std::shared_ptr<Impl> libetonyek::IWORKRecorder::m_impl
| private

Referenced by closeGroup(), collectGeometry(), collectImage(), collectLine(), collectMedia(), collectPath(), collectShape(), collectStyle(), collectStylesheet(), collectTable(), collectText(), endAttachment(), endAttachments(), endGroup(), endLevel(), openGroup(), popStylesheet(), pushStylesheet(), replay(), setGraphicStyle(), startAttachment(), startAttachments(), startGroup(), and startLevel().

The documentation for this class was generated from the following files:

- IWORKRecorder.h
- IWORKRecorder.cpp